<?php
include("../includes/session.php");
include("../includes/functions.php");
include("../includes/liborders.inc.php");
include("../includes/db.php");
include("../includes/classes/fpdf/fpdf.php");
session(1);
ini_set('memory_limit', '250M');
set_time_limit(240);

//aumentare execution time

class PDF extends FPDF
{
	
	function addSignature(){
		$this->Ln(5);
		$this->SetFont('Arial','',8);
		$this->Cell(0,5,'Firma per ricevuta _____________________________________',0,1,'R');
		$this->Ln(10);
	}

	function addDichiara(){
		$this->Ln(15);
		$this->SetFont('Arial','',8);
		$this->MultiCell(0,5,'Il sottoscritto dichiara di aver ricevuto'.chr(10).'il cambio sopra citato.'.chr(10).chr(10).'Firma per ricevuta',0,'R');
	}
	
	function addImpFooter(){
		$this->SetY(-30);
		$this->SetFont('Arial','',8);
		$this->MultiCell(120,4,"Il presente allegato, firmato dai dipendenti e timbrato dall'azienda, deve essere
sollecitamente ritornato alla Cassa Edile Biellese, tramite fax (015 8484550)
oppure per posta all'indirizzo:",0,1);
		
		$this->Ln(4);
		$this->SetFont('Arial','B',8);
		$this->Cell(0,0,'Cassa Edile Biellese - via Addis Abeba 3/C - 13900 Biella',0,0);		

		$this->SetTextColor(170,170,170);
		$this->SetXY(120,-40);
		$this->Cell(80,23,'Timbro e firma Impresa',0,0,'C');
		$this->SetXY(120,-33);
		$this->Cell(80,23,'',1);
		$this->SetTextColor(0,0,0);
	}
	
	function addSchBody($date){
		
		$this->Ln(20);
		$this->SetFont('Arial','B','16');
		$this->MultiCell(0,5,"DA UTILIZZARE PER IL CAMBIO".chr(10)."ABBIGLIAMENTO E SCARPE ANTINFORTUNISTICHE",0,1,'C');
	
		$this->Ln(15);
		

		$this->SetFont('Arial','','9');
		$this->MultiCell(0,4,
utf8_decode("Il pacco da Lei ricevuto, spedito all'impresa, contiene l'abbigliamento e le scarpe antinfortunistiche scelte dalla Cassa Edile di Biella per la fornitura in corso.
A fondo pagina troverà l'elenco dei capi con la taglia da Lei assegnata e a fianco una casella dove segnare la nuova taglia o il nuovo numero di scarpa qualora uno o più capi non fossero della misura corretta.
Il cambio dei capi di abbigliamento e/o delle scarpe per le taglie non corrispondenti verrà effettuato unicamente e gratuitamente presso i magazzini della ditta."));
		$this->Ln(6);

		$this->SetFont('Arial','B','12');
		$this->Cell(0,0,utf8_decode("BONGIORNO  ANTINFORTUNISTICA SRL"),0,1,"C");
		$this->Ln(6);
		
		$this->SetFont('Arial','B','9');
		$this->MultiCell(0,4,		
utf8_decode("Previo  contatto  telefonico  al n. 035.201.401
Persone di riferimento :
Sig.ra MAURA o Sig.ra GERMANA
Responsabili del servizio 
"),0,1);

		$this->SetFont('Arial','B','9');
		$this->MultiCell(0,4,		
utf8_decode("Per facilitare l'operazione di cambio servirà fornire:
- il Codice lavoratore  indicato nella  presente  scheda
- restituire la  scheda compilata con la - TAGLIA CAMBIO - ed i capi oggetto della sostituzione alla propria Impresa.

"),0,1);

		$this->Ln(8);

		$this->SetFont('Arial','B','11');
		$this->Cell(0,0,"Le sostituzioni dei capi e/o delle scarpe dovranno essere effettuate tassativamente entro il:",0,1);
		$this->Ln(8);

		$this->SetFont('Arial','B','14');
		$this->Cell(0,0,$date,0,1,'C');
		$this->Ln(8);

		$this->SetFont('Arial','','9');
		$this->Cell(0,0,"Per ulteriori informazioni rivolgersi agli uffici della Cassa Edile al numero telefonico 015 8484511.",0,1);
		$this->Ln(15);
		
		$this->SetFont('Arial','B',9);
		$this->Cell(105,5,'ELENCO CAPI CONSEGNATI',0,0,'',true);
		$this->Cell(10,5,'Q.TA',0,0,'C',true);
		$this->Cell(40,5,'TAGLIA CONSEGNATA',0,0,'C',true);
		$this->Cell(35,5,'TAGLIA CAMBIO',0,1,'C',true);
		$this->SetFont('Arial','',9);
	}
}

if(isset($_GET['gen']) && intval($_GET['id']) > 0){
		
	$id = intval($_GET['id']);
	
	//pulisco tabella ordini precedentemente generati
	mysql_query("DELETE FROM ordini_generated WHERE ord_id = ".$id);
	
	############### ESTRAGGO TAGLIE PER ORDINE ##############
	$query = "
	SELECT *	
	FROM ordini_abb_lav
	
	LEFT JOIN ordini_abb ON ordini_abb_lav.ordabb_id = ordini_abb.ordabb_id
	LEFT JOIN abbigliamento_cat ON ordini_abb.abbcat_id = abbigliamento_cat.abbcat_id
	LEFT JOIN ordini ON ordini_abb.ord_id = ordini.ord_id
	LEFT JOIN lavoratori_tgl ON ordini_abb_lav.lavoro_id = lavoratori_tgl.lavoro_id
	LEFT JOIN lavoratori ON lavoratori_tgl.lav_cod = lavoratori.lav_cod
	LEFT JOIN imprese ON lavoratori.imp_cod = imprese.imp_cod
	
	WHERE 
	ordini.ord_id = ".$id." AND
	ordini_abb_lav.ord = 0 AND

	lavoratori.lav_annullato <> 1 AND
	lavoratori.pos_id = 0 AND
	lavoratori.lav_abb = 1 AND
	
	imprese.imp_annullato <> 1 AND
	imprese.sosp_id IN (0,99) AND

	lavoratori_tgl.lavtgl_annullato <> 1 AND
	lavoratori_tgl.lavoro_id <> 99
	
	ORDER BY imprese.imp_anagrafica, imprese.imp_cod, lavoratori.lav_anagrafica, lavoratori.lav_cod, ordini_abb.ordabb_cod
	";

	$result = mysql_query($query);
	
	if(mysql_num_rows($result) > 0){

		// inizializzo PDF generale
		$pdf_gen = new PDF();
		$pdf_gen->SetAutoPageBreak(true,10);
		$pdf_gen->SetMargins(10,10,10);
		$pdf_gen->SetFillColor(210,210,210);
		$pdf_gen->SetDrawColor(210,210,210);
		$pdf_gen->AddPage();
		$pdf_gen->SetFont('Arial','B',14);
		$pdf_gen->Ln(20);
		$pdf_gen->Cell(0,10,'SCHEDE RIEPILOGO MATERIALE IMPRESE',0,1,'C');
		
		// inizializzo PDF schede singolo lavoratore
		$pdf_sch = new PDF();
		$pdf_sch->SetAutoPageBreak(true,10);
		$pdf_sch->SetMargins(10,10,10);
		$pdf_sch->SetFillColor(210,210,210);
		$pdf_sch->SetDrawColor(210,210,210);
		$pdf_sch->AddPage();
		$pdf_sch->SetFont('Arial','B',14);
		$pdf_sch->Ln(20);
		$pdf_sch->Cell(0,10,'SCHEDE SOSTITUZIONE MATERIALE SINGOLO LAVORATORE',0,1,'C');
		
		
		//memorizzo tutti i dati dell'ordine nella tabella ordini generati
		while($row = mysql_fetch_array($result)){

			$arr_taglie = array(
				"Giacca_1" 	=> $row['lavtgl_giacca_est'],
				"Giacca_0" 	=> $row['lavtgl_giacca_inv'],
				"Pantaloni_1" => $row['lavtgl_pant_est'],
				"Pantaloni_0" => $row['lavtgl_pant_inv'],
				"Giubbotto_1"  => $row['lavtgl_giub_est'],
				"Giubbotto_0"  => $row['lavtgl_giub_inv'],
				"Scarpe_1" 	=> $row['lavtgl_scarp_est'],
				"Scarpe_0" 	=> $row['lavtgl_scarp_inv']
			);
			
			
			$tgl = $arr_taglie[$row['abbcat_descr'].'_'.$row['ord_stagione']];
			$arr_taglie_lav[$row['lav_cod']][$row['abbcat_id']] = intval($tgl);
			
			//memorizzo tutto in tabella ordini generati
			mysql_query($query = "INSERT INTO ordini_generated (ord_id,imp_cod,lav_cod,ordabb_cod,tipo,tgl,abbcat_id) VALUES (
			".$id.",".$row['imp_cod'].",".$row['lav_cod'].",'".$row['ordabb_cod']."','".$row['abbcat_tipo']."',".intval($tgl).",".$row['abbcat_id'].")");
		}
		
		
		############### ELIMINO ARTICOLI DEFAULT CHE HANNO UNA SCELTA CUSTOM ##############
		$result = mysql_query("
		DELETE FROM ordini_generated WHERE 
		ord_id = ".$id." AND 		
		CONCAT_WS('-',lav_cod,ordabb_cod) IN (SELECT CONCAT_WS('-',lav_cod,ordabb_cod) FROM ordini_customchoice WHERE ord_id = ".$id.")");
		
		############### AGGIUNGO NUOVI ARTICOLI ##############
		$result = mysql_query("
			
			INSERT INTO ordini_generated (ord_id,imp_cod,lav_cod,ordabb_cod,tipo,tgl,abbcat_id,qty)  
			
			SELECT 
				ordini_customchoice.ord_id,
				lavoratori.imp_cod,
				ordini_customchoice.lav_cod,
				ordini_customchoice.ordabb_cod,
				abbigliamento_cat.abbcat_tipo,
				0,
				ordini_customchoice.abbcat_id,
				ordini_customchoice.qty
			FROM
				ordini_customchoice
			
			LEFT JOIN
				abbigliamento_cat ON ordini_customchoice.abbcat_id = abbigliamento_cat.abbcat_id
			LEFT JOIN
				lavoratori ON ordini_customchoice.lav_cod = lavoratori.lav_cod
			WHERE 
				ordini_customchoice.ord_id = ".$id." AND remove = 0
			
		");
		
		######### UPDATE TAGLIE ARTICOLI CUSTOM ############
		$result = mysql_query("SELECT * FROM ordini_generated WHERE ord_id =".$id." AND tgl = 0");
		while($row = mysql_fetch_array($result)){
			$tgl = intval($arr_taglie_lav[$row['lav_cod']][$row['abbcat_id']]);
			mysql_query("UPDATE ordini_generated SET tgl = ".$tgl." WHERE id =".$row['id']);
		}
		
/*		
		$result = mysql_query("SELECT * FROM ordini_customchoice WHERE ord_id = ".$id);
		while($row = mysql_fetch_array($result)){
			
			//articolo da rimuovere
			if($row['remove'] == 1){
				mysql_query("DELETE FROM ordini_generated WHERE ord_id = ".$id." AND lav_cod=".$row['lav_cod']." AND ordabb_cod='".$row['ordabb_cod']."'");
			}else{
				
			}
				
			
			//inserisco articolo custom
			if($row['remove'] == 0)
				mysql_query("UPDATE ordini_generated SET ordabb_cod='".$row['ordabb_cod']."' WHERE ord_id = ".$id." AND lav_cod=".$row['lav_cod']." AND abbcat_id=".$row['abbcat_id']);
			else{
				mysql_query($q="DELETE FROM ordini_generated WHERE ord_id = ".$id." AND lav_cod=".$row['lav_cod']." AND ordabb_cod='".$row['ordabb_cod']."'");
			}
		}
		
		*/
		
		############### GENERO TRACCIATO E PDF ORDINE ##############
		
		$result = mysql_query("SELECT * FROM ordini_generated	
		LEFT JOIN ordini ON ordini_generated.ord_id = ordini.ord_id
		LEFT JOIN ordini_abb ON ordini_generated.ordabb_cod = ordini_abb.ordabb_cod
		LEFT JOIN imprese ON ordini_generated.imp_cod = imprese.imp_cod
		LEFT JOIN imprese_tipo ON imprese.tipoimp_id = imprese_tipo.tipoimp_id
		LEFT JOIN lavoratori ON ordini_generated.lav_cod = lavoratori.lav_cod
		LEFT JOIN lavoratori_mans ON lavoratori.mans_id = lavoratori_mans.mans_id
		WHERE 
		ordini_generated.ord_id = ".$id." AND 
		ordini_abb.ord_id = ".$id." 
		ORDER BY 
		imprese.imp_anagrafica, imprese.imp_cod, lavoratori.lav_anagrafica, lavoratori.lav_cod, ordini_generated.ordabb_cod
		");

		while($row = mysql_fetch_array($result)){

			$arr[$row['imp_cod']]['imp_anagrafica'] = $row['imp_anagrafica'];
			$arr[$row['imp_cod']]['imp_indirizzo'] = $row['imp_indirizzo'];
			$arr[$row['imp_cod']]['imp_cap'] = $row['imp_cap'];
			$arr[$row['imp_cod']]['imp_citta'] = $row['imp_citta'];
			$arr[$row['imp_cod']]['imp_prov'] = $row['imp_prov'];
		
			$arr = addTaglia($arr,$row['imp_cod'],$row['tipo'],$row['ordabb_cod'],$row['tgl'],$row['qty']);
			
		
			//genero PDF generale (impresa ed elenco suoi dipendenti con materiale)
			
			//intestazione impresa
			if($old_imp_cod <> $row['imp_cod'] || $old_lav_cod <> $row['lav_cod'] && $cnt_dip == 4){
				
				$cnt_dip = 0;

				if(!empty($old_lav_cod)){
					$pdf_gen->addSignature();
					$pdf_sch->addDichiara();
					$old_lav_cod = 0;
				}
				
				if($old_imp_cod <> $row['imp_cod'] && !empty($old_imp_cod)){
					$pdf_gen->addImpFooter();
				}
				
				$old_imp_cod = $row['imp_cod'];
				$pdf_gen->AddPage();

				$int_stag = getStagione($row['ord_stagione']) ;
				$int_n = $row['ord_n'];
				$int_anno = $row['ord_anno'];

				$pdf_gen->SetFont('Arial','',9);
				$pdf_gen->MultiCell(0,3.5,
				'P.iva: '.$row['imp_piva'].chr(10).
				'Cod. Impresa: '.str_pad($row['imp_cod'],6,"0",STR_PAD_LEFT).chr(10).
				'Tipologia: '.$row['tipoimp_descr'].chr(10).
				'Stagione: '. $int_stag .' '.$int_n.chr(10).
				'Ordine Stag. n: '.$int_n
				,0,'R');

				$pdf_gen->SetY(11);
				$pdf_gen->SetFont('Arial','',10);
				$pdf_gen->Cell(0,0,"Spedizione abbigliamento e scarpe antinfortunistiche per i dipendenti della ditta:",0,1);
				$pdf_gen->Ln(8);
				
				$pdf_gen->SetFont('Arial','B',14);
				$pdf_gen->Cell(0,0,$row['imp_anagrafica'],0,1);
				$pdf_gen->Ln(6.5);

				$pdf_gen->SetFont('Arial','',10);
				$pdf_gen->Cell(0,0,$row['imp_indirizzo'].' - '.$row['imp_cap'].' '.$row['imp_citta'].' ('.$row['imp_prov'].')',0,1);
				$pdf_gen->Ln(10);
				
			}
			
			//intestazione dipendente
			if($old_lav_cod <> $row['lav_cod']){
				
				if(!empty($old_lav_cod)){
					$cnt_dip++;
					$pdf_gen->addSignature();
					$pdf_sch->addDichiara();
				}

				$old_lav_cod = $row['lav_cod'];
				$pdf_gen->SetFont('Arial','B',9);
				$pdf_gen->Cell(70,5,$row['lav_anagrafica'],0,0,'',true);

				$pdf_gen->SetFont('Arial','',8);
				$pdf_gen->Cell(65,5,neat_trim($row['mans_descr'],40),0,0,'',true);
				$pdf_gen->Cell(20,5,'cod. '.str_pad($row['lav_cod'],6,"0",STR_PAD_LEFT),0,0,'',true);
				$pdf_gen->Cell(35,5,'nato il '.strftime('%d/%m/%Y',strtotime($row['lav_dnascita'])),0,1,'R',true);
				$pdf_gen->Ln(2);
				
				$pdf_gen->SetFont('Arial','',8);
				
				
				//PDF schede
				$pdf_sch->AddPage();

				$pdf_sch->SetFont('Arial','',9);
				$pdf_sch->MultiCell(0,4,
				'P.iva: '.$row['imp_piva'].chr(10).
				'Cod. Impresa: '.str_pad($row['imp_cod'],6,"0",STR_PAD_LEFT).chr(10).
				'Tipologia: '.$row['tipoimp_descr'].chr(10).
				'Stagione: '. getStagione($row['ord_stagione']) .' '.$row['ord_anno'].chr(10).
				'Ordine Stag. n: '.$row['ord_n']
				,0,'R');

				$pdf_sch->SetY(11);
				$pdf_sch->SetFont('Arial','',10);
				$pdf_sch->Cell(0,0,"Scheda per sostituzione abbigliamento e scarpe antinfortunistiche consegnati a:",0,1);
				$pdf_sch->Ln(4);

				$pdf_sch->SetFont('Arial','B',14);
				$pdf_sch->Cell(0,5,$row['lav_anagrafica'],0,1);

				$pdf_sch->SetFont('Arial','',10);
				$pdf_sch->Cell(0,6,$row['imp_anagrafica'],0,1);
				
				$pdf_sch->SetFont('Arial','',9);
				$pdf_sch->Cell(0,5,'Cod. lavoratore: '.str_pad($row['lav_cod'],6,"0",STR_PAD_LEFT).'      Mansione: '.neat_trim($row['mans_descr'],20).'      Nato il: '.strftime('%d/%m/%Y',strtotime($row['lav_dnascita'])),0,1);
				
				$pdf_sch->addSchBody(strftime('%d/%m/%Y',strtotime($row['ord_dataricons'])));
				
				$arrDipPunti[$row['lav_anagrafica'].$row['lav_cod']] = array(
					'anagrafica' => $row['lav_anagrafica'],
					'cf' => $row['lav_codfisc'],
					'pnt'=>0,
					'impresa'=>$row['imp_anagrafica']
				);
					

				
			}
			
			//materiale dipendente
			$pdf_gen->Cell(35,5,$row['ordabb_cod'],'B',0);
			$pdf_gen->Cell(100,5,neat_trim($row['ordabb_nome'],35),'B',0);
			$pdf_gen->Cell(31,5,'q.ta '.$row['qty'],'B',0);
			$pdf_gen->Cell(24,5, ($row['tgl'] > 0 ? 'tgl. '.$row['tgl'] : '') ,'B',1);
			
			//materiale dipendente scheda dettaglio
			$pdf_sch->Cell(35,5,$row['ordabb_cod'],'BL',0);
			$pdf_sch->Cell(70,5,neat_trim($row['ordabb_nome'],35),'BR',0);
			$pdf_sch->Cell(10,5,$row['qty'],'BR',0,'C');
			$pdf_sch->Cell(40,5, ($row['tgl'] > 0 ? $row['tgl'] : '') ,'BR',0,'C');
			$pdf_sch->Cell(35,5, '' ,'BR',1);
			
			$arrDipPunti[$row['lav_anagrafica'].$row['lav_cod']]['pnt'] += $row['ordabb_pnt'];
			
		}
		
		
		//aggiungo firma ultima pagina
		$pdf_gen->addSignature();
		$pdf_gen->addImpFooter();
		$pdf_sch->addDichiara();

		//salvo pdf generale
		$pdf_gen->Output('../orders/ord'.str_pad($id,6,"0",STR_PAD_LEFT).'_gen.pdf','F');

		//salvo pdf schede
		$pdf_sch->Output('../orders/ord'.str_pad($id,6,"0",STR_PAD_LEFT).'_sch.pdf','F');
	
		unset($pdf_gen,$pdf_sch);
		$pdf_gen = null;
		$pdf_sch = null;
		
		
		
		
		
		#####################################   Tracciato record    #####################################
		
		$fp = fopen('../orders/ord'.str_pad($id,6,"0",STR_PAD_LEFT).'_trac.txt', 'w');
		foreach($arr as $imp_cod => $campo){

			//riga testa impresa
			$riga = 
			'A'.
			str_pad($imp_cod,7,"0",STR_PAD_LEFT).
			str_pad($campo['imp_anagrafica'],80," ",STR_PAD_RIGHT).
			str_pad(substr($campo['imp_indirizzo'],0,35),35," ",STR_PAD_RIGHT).
			str_pad($campo['imp_cap'],5," ",STR_PAD_LEFT).				
			str_pad(substr($campo['imp_citta'],0,30),30," ",STR_PAD_RIGHT).
			str_pad($campo['imp_prov'],2," ",STR_PAD_RIGHT).
			date("dmy").
			str_pad($id,6,"0",STR_PAD_LEFT).
			"  ".
			chr(13).chr(10);
			
			//righe vestiario
			foreach($campo['taglie'] as $ordabb_cod => $t){
				
				$riga .= 
				'B'.
				str_pad($imp_cod,7,"0",STR_PAD_LEFT);
				
				for($i=0;$i<count($t)-1; $i++)
					$riga .= str_pad(($t[$i] <> 0 ? $t[$i] : ""),($i == 16 ? 5 : 3),($t[$i] > 0 ? "0" : " "),STR_PAD_LEFT);
				
				$riga .= 
				($t['tipo'] != 'OMG' ? $t['tipo'] : '   ').
				str_pad($ordabb_cod,7," ",STR_PAD_RIGHT)
				.chr(13).chr(10);
			}

			fwrite($fp, $riga);
		}
		fclose($fp);
		
		
		
		
		
		#####################################    PDF riepilogo taglie    #####################################
		
		$pdf_tgl = new PDF();
		$pdf_tgl->SetAutoPageBreak(true,10);
		$pdf_tgl->SetMargins(10,10,10);
		$pdf_tgl->AddPage();
		$pdf_tgl->SetFont('Arial','B',14);
		$pdf_tgl->Cell(0,5,'RIEPILOGO TAGLIE ARTICOLI',0,1);
		$pdf_tgl->SetFont('Arial','',10);
		$pdf_tgl->Cell(0,10,'Ordine n. '.$int_n.' - Stagione '.$int_stag.' - Anno '.$int_anno.' - Data generazione '.date("d/m/Y"),0,1);
		$pdf_tgl->SetFont('Arial','B',8);
			
		$result = mysql_query("SELECT SUM(ordini_generated.qty) AS tot, ordini_generated.ordabb_cod, ordini_abb.ordabb_nome, tgl FROM ordini_generated
		LEFT JOIN ordini_abb ON ordini_generated.ordabb_cod = ordini_abb.ordabb_cod
		WHERE ordini_generated.ord_id = ".$id." AND ordini_abb.ord_id = ".$id."
		GROUP BY ordini_generated.ordabb_cod, tgl ORDER BY ordini_generated.ordabb_cod,tgl");
		if(mysql_num_rows($result) > 0){
			while($row = mysql_fetch_array($result)){
				$arr_r_tgl[$row['ordabb_cod']]['tgl'][$row['tgl']] = $row['tot'];
				$arr_r_tgl[$row['ordabb_cod']]['nome'] = $row['ordabb_nome'];
				$arr_r_tgl[$row['ordabb_cod']]['tot'] +=$row['tot'];
				
			}
			
			foreach($arr_r_tgl as $cod=>$campo){
				
				$pdf_tgl->Ln(8);
				$pdf_tgl->Cell(0,7,'cod. '.$cod.' - '.$campo['nome'],0,1);

				$pdf_tgl->SetFillColor(180,180,180);
				$pdf_tgl->Cell(15,5,'Tgl',1,0,'L',1);
				
				$pdf_tgl->SetFillColor(210,210,210);
				foreach($campo['tgl'] as $k=>$v)
					$pdf_tgl->Cell(10,5,$k == 0 ? '' : $k,1,0,'C',1);
				
				$pdf_tgl->SetFillColor(235,235,235);
				$pdf_tgl->Cell(15,5,'Tot',1,1,'C',1);
				
				$pdf_tgl->Cell(15,5,'Qta',1,0,'L',1);
				foreach($campo['tgl'] as $k=>$v)
					$pdf_tgl->Cell(10,5,$v,1,0,'C',0);
				
				$pdf_tgl->Cell(15,5,$campo['tot'],1,0,'C',0);

			}
			
		}
		
		$pdf_tgl->Output('../orders/ord'.str_pad($id,6,"0",STR_PAD_LEFT).'_tgl.pdf','F');
		unset($pdf_tgl);
		$pdf_tgl = null;
		
		/*
		#####################################    PDF dipendenti esclusi    #####################################
				
		$pdf_esc = new PDF();
		$pdf_esc->SetAutoPageBreak(true,10);
		$pdf_esc->SetMargins(10,10,10);
		$pdf_esc->SetFillColor(210,210,210);
		$pdf_esc->AddPage();
		$pdf_esc->SetFont('Arial','B',14);
		$pdf_esc->Cell(0,5,'ELENCO DIPENDENTI ESCLUSI DALL\'ORDINE',0,1);
		$pdf_esc->SetFont('Arial','',10);
		$pdf_esc->Cell(0,10,'Ordine n. '.$int_n.' - Stagione '.$int_stag.' - Anno '.$int_anno.' - Data generazione '.date("d/m/Y"),0,1);
			
		$result = mysql_query("SELECT lavoratori.*, lavoratori_pos.pos_descr, imp_annullato, imp_anagrafica FROM lavoratori 
		LEFT JOIN lavoratori_pos ON lavoratori.pos_id = lavoratori_pos.pos_id
		LEFT JOIN imprese ON lavoratori.imp_cod = imprese.imp_cod
		WHERE lav_cod NOT IN (SELECT lav_cod FROM ordini_generated WHERE ord_id = " . $id . ") 
		ORDER BY lav_anagrafica");
		
		if(mysql_num_rows($result) > 0){
			
			$pdf_esc->SetFont('Arial','B',6);
			
			$pdf_esc->Cell(50,5,'Anagrafica',1,0,'',1);
			$pdf_esc->Cell(28,5,'Cod. Fiscale',1,0,'',1);
			$pdf_esc->Cell(28,5,'Posizione',1,0,'',1);
			$pdf_esc->Cell(8,5,'Ore',1,0,'C',1);
			$pdf_esc->Cell(10,5,'Abb S/N',1,0,'',1);
			$pdf_esc->Cell(53,5,'Impresa',1,0,'',1);
			$pdf_esc->Cell(13,5,'Annullata',1,1,'C',1);

			$pdf_esc->SetFont('Arial','',6);
		
			while($row = mysql_fetch_array($result)){
				$pdf_esc->Cell(50,5,$row['lav_anagrafica'],1);
				$pdf_esc->Cell(28,5,$row['lav_codfisc'],1);
				$pdf_esc->Cell(28,5,$row['pos_descr'],1);
				$pdf_esc->Cell(8,5,$row['lav_ore'],1,0,'R');
				$pdf_esc->Cell(10,5,$row['lav_abb'] == 1 ? 'SI' : 'NO',1,0,'C');
				$pdf_esc->Cell(53,5,$row['imp_anagrafica'],1);
				$pdf_esc->Cell(13,5,$row['imp_annullato'] == 1 ? 'SI' : 'NO',1,1,'C');
			}
		}
		$pdf_esc->Output('../orders/ord'.str_pad($id,6,"0",STR_PAD_LEFT).'_escl.pdf','F');
		unset($pdf_esc);
*/


		#####################################    XLS dipendenti esclusi    #####################################
/*		
		include("../includes/classes/php-export-data.class.php");
		$exporter = new ExportDataExcel('file', '../orders/bella.xls');
		$exporter->initialize();

		$exporter->addRow(array('ELENCO DIPENDENTI ESCLUSI DALL\'ORDINE')); 
		$exporter->addRow(array('Ordine n. '.$int_n.' - Stagione '.$int_stag.' - Anno '.$int_anno.' - Data generazione '.date("d/m/Y"))); 
		$exporter->addRow(array('Anagrafica','Cod. Fiscale','Posizione','Ore','Abb S/N','Impresa','Annullata')); 
	*/		
	
	
		require_once '../includes/classes/PHPExcel.php';

        $objPHPExcel = new PHPExcel();

		$data[] = array(
			'Anagrafica',
			'Cod. Fiscale',
			'Posizione',
			'Ore',
			'Abb S/N',
			'Impresa',
			'Annullata'
		);

		$result = mysql_query("SELECT lavoratori.*, lavoratori_pos.pos_descr, imp_annullato, imp_anagrafica FROM lavoratori 
		LEFT JOIN lavoratori_pos ON lavoratori.pos_id = lavoratori_pos.pos_id
		LEFT JOIN imprese ON lavoratori.imp_cod = imprese.imp_cod
		WHERE lav_cod NOT IN (SELECT lav_cod FROM ordini_generated WHERE ord_id = " . $id . ") 
		ORDER BY lav_anagrafica");
		
		if(mysql_num_rows($result) > 0){

			while($row = mysql_fetch_array($result)){
			
				$lav_abb = $row['lav_abb'] == 1 ? 'SI' : 'NO';
				$imp_annullato = $row['imp_annullato'] == 1 ? 'SI' : 'NO';

				$data[] = array(
				$row['lav_anagrafica'],
				$row['lav_codfisc'],
				$row['pos_descr'],
				$row['lav_ore'],
				$lav_abb,
				$row['imp_anagrafica'],
				$imp_annullato
				);
				
			}
				
		}
		
        
        // Fill worksheet from values in array
        $objPHPExcel->getActiveSheet()->fromArray($data, null, 'A1');
        $objPHPExcel->getActiveSheet()->setTitle('Esclusi');
		unset($data);
		$data = null;
        
        // Set AutoSize for name and email fields
        $objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);

		$objPHPExcel->createSheet(NULL, 1);
		$objPHPExcel->setActiveSheetIndex(1);
		$objPHPExcel->getActiveSheet()->setTitle('Punteggi');

		//dipendenti inclusi e punteggio
		array_unshift($arrDipPunti,array('Anagrafica','Cod. Fiscale','Punti','Impresa'));
        $objPHPExcel->getActiveSheet()->fromArray($arrDipPunti, null, 'A1');
        
		$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
        $objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
		$objPHPExcel->setActiveSheetIndex(0);


 
 
        // Save Excel 2007 file
        $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
        $objWriter->save('../orders/ord'.str_pad($id,6,"0",STR_PAD_LEFT).'_escl.xls');		

	}
}


?>
<div id="procedi">
<?php 
$i = str_pad($_GET['id'],6,"0",STR_PAD_LEFT);
//elenco files
if(is_file("../orders/ord".$i."_trac.txt")){
	$btn = "GENERA NUOVAMENTE";
	echo '
	<a href="download.php?f=ord'.$i.'_gen.pdf" class="fLeft"><img src="../../../images/icons/pdf.png" /> Schede aziende</a> 
	<a href="download.php?f=ord'.$i.'_sch.pdf" class="fRight"><img src="../../../images/icons/pdf.png" /> Schede lavoratori</a>
	<div class="clear"></div>
	<a href="download.php?f=ord'.$i.'_trac.txt"><img src="../../../images/icons/txt.png" /> Tracciato record</a>
	<div class="other_files">
		<a href="download.php?f=ord'.$i.'_tgl.pdf" class="fLeft"><img src="../../../images/icons/pdf24.png" /> Riepilogo taglie</a>
	';
	
	//dip esclusi (xls nuova versione)
	if(file_exists("../orders/ord".$i."_escl.pdf"))
		echo '<a href="download.php?f=ord'.$i.'_escl.pdf" class="fRight"><img src="../../../images/icons/pdf24.png" /> Dipendenti esclusi</a>';
	elseif(file_exists("../orders/ord".$i."_escl.xls"))
		echo '<a href="download.php?f=ord'.$i.'_escl.xls" class="fRight"><img src="../../../images/icons/xls.png" /> Dipendenti esclusi</a>';
		
	echo '
		<div class="clear"></div>
	</div>
	';
}else{
	$btn = "GENERA";
}
?>
<br /><br />
<center>
<button class="btn" type="button" onclick="generateOrder(<?php echo $_GET['id'];?>)"><?php echo $btn;?></button>
</center>
</div>
<div id="generazione"></div>